free_bootmem_with_active_regions
Prev | More Memory Management Functions | Next

## Name

free_bootmem_with_active_regions — Call free_bootmem_node for each active range

## Synopsis

`void __init free_bootmem_with_active_regions (` | int | nid,
| unsigned long | max_low_pfn`)`;

## Arguments

`nid`

  The node to free memory on. If MAX_NUMNODES, all nodes are freed.

`max_low_pfn`

  The highest PFN that will be passed to free_bootmem_node

## Description

If an architecture guarantees that all ranges registered with `add_active_ranges` contain no holes and may be freed, this this function may be used instead of calling `free_bootmem` manually.

Prev | Up | Next
find_next_best_node | Home | sparse_memory_present_with_active_regions